Package com.omnisci.thrift.server

## Class TTableGeneration

- java.lang.Object
- - com.omnisci.thrift.server.TTableGeneration

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TTableGeneration>`, `org.apache.thrift.TBase<TTableGeneration,​TTableGeneration._Fields>`, `org.apache.thrift.TSerializable`

    public class TTableGeneration
    extends Object
    implements org.apache.thrift.TBase<TTableGeneration,​TTableGeneration._Fields>, Serializable, Cloneable, Comparable<TTableGeneration>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TTableGeneration._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static Map<TTableGeneration._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`long` `start_rowid`
`int` `table_id`
`long` `tuple_count`

### Constructor Summary

Constructors
`TTableGeneration()`
`TTableGeneration​(int table_id, long tuple_count, long start_rowid)`
`TTableGeneration​(TTableGeneration other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TTableGeneration other)`
`TTableGeneration` `deepCopy()`
`boolean` `equals​(TTableGeneration that)`
`boolean` `equals​(Object that)`
`TTableGeneration._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TTableGeneration._Fields field)`
`long` `getStart_rowid()`
`int` `getTable_id()`
`long` `getTuple_count()`
`int` `hashCode()`
`boolean` `isSet​(TTableGeneration._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetStart_rowid()` Returns true if field start_rowid is set (has been assigned a value) and false otherwise
`boolean` `isSetTable_id()` Returns true if field table_id is set (has been assigned a value) and false otherwise
`boolean` `isSetTuple_count()` Returns true if field tuple_count is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TTableGeneration._Fields field, Object value)`
`TTableGeneration` `setStart_rowid​(long start_rowid)`
`void` `setStart_rowidIsSet​(boolean value)`
`TTableGeneration` `setTable_id​(int table_id)`
`void` `setTable_idIsSet​(boolean value)`
`TTableGeneration` `setTuple_count​(long tuple_count)`
`void` `setTuple_countIsSet​(boolean value)`
`String` `toString()`
`void` `unsetStart_rowid()`
`void` `unsetTable_id()`
`void` `unsetTuple_count()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### table_id

    public int table_id

#### tuple_count

    public long tuple_count

#### start_rowid

    public long start_rowid

#### metaDataMap

    public static final Map<TTableGeneration._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TTableGeneration

    public TTableGeneration()

#### TTableGeneration

    public TTableGeneration​(int table_id,
                            long tuple_count,
                            long start_rowid)

#### TTableGeneration

    public TTableGeneration​(TTableGeneration other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TTableGeneration deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TTableGeneration,​TTableGeneration._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TTableGeneration,​TTableGeneration._Fields>`

#### getTable_id

    public int getTable_id()

#### setTable_id

    public TTableGeneration setTable_id​(int table_id)

#### unsetTable_id

    public void unsetTable_id()

#### isSetTable_id

    public boolean isSetTable_id()

Returns true if field table_id is set (has been assigned a value) and false otherwise

#### setTable_idIsSet

    public void setTable_idIsSet​(boolean value)

#### getTuple_count

    public long getTuple_count()

#### setTuple_count

    public TTableGeneration setTuple_count​(long tuple_count)

#### unsetTuple_count

    public void unsetTuple_count()

#### isSetTuple_count

    public boolean isSetTuple_count()

Returns true if field tuple_count is set (has been assigned a value) and false otherwise

#### setTuple_countIsSet

    public void setTuple_countIsSet​(boolean value)

#### getStart_rowid

    public long getStart_rowid()

#### setStart_rowid

    public TTableGeneration setStart_rowid​(long start_rowid)

#### unsetStart_rowid

    public void unsetStart_rowid()

#### isSetStart_rowid

    public boolean isSetStart_rowid()

Returns true if field start_rowid is set (has been assigned a value) and false otherwise

#### setStart_rowidIsSet

    public void setStart_rowidIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TTableGeneration._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TTableGeneration,​TTableGeneration._Fields>`

#### getFieldValue

    public Object getFieldValue​(TTableGeneration._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TTableGeneration,​TTableGeneration._Fields>`

#### isSet

    public boolean isSet​(TTableGeneration._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TTableGeneration,​TTableGeneration._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TTableGeneration that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TTableGeneration other)

Specified by:
  `compareTo` in interface `Comparable<TTableGeneration>`

#### fieldForId

    public TTableGeneration._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TTableGeneration,​TTableGeneration._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`